<?php
$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] ?: array()) + array("_2c2ffe27f18d2bac1d27c5d" . "98e7dff6b" => base64_decode("REVMRVRFIEZST00gRVJNU19zY2hlZHVsZV9ob2xkcyBXSEVSRSBvYmplY3RfaWQgPSBpbnQ6b2JqZWN0X2lkIEFORCBhZ2dyZWdhdGlvbiA9IG" . "ludDphZ2dyZWdhdGlvbiBBTkQgcGFyZW50X2lkID0gaW50OnBhcmVudF9pZA=="), "_0c5123aa744f69bbc0e8" . "b3ea2f6e847d" => base64_decode("bG1zZ" . "w=="), "_6e38cb9e043a07cd69a1711a6704c6" . "2a" => base64_decode("cGFyZW" . "50X2lk"), "_51b7f4bbc1d1bb48" . "c391de491e07df27" => base64_decode("ZG9jdW1lbnRzLmVybXNvYmplY3Qubm90X2RlZmlu" . "ZWQ="), "_d479b59" . "dd022e4a" . "944c0ec1" . "b9f5f930" . "2" => base64_decode("SU5TRVJUIElOVE8gRVJNU19zY2hlZHVsZV9ob2xkcyAob2JqZWN0X2lkLCBhZ2dyZWdhdGlvbiwgcGFyZW50X2lkKSBWQUxVRVMgKGludDpvYmplY3RfaWQ" . "sIGludDphZ2dyZWdhdGlvbiwgaW50OnBhcmVudF9pZCk="), "object_" . "id" => base64_decode("b2JqZWN0X" . "2lk"), "_5d9771e9f2d1880bedef6147f" . "3437484" => base64_decode("U0VMRUNUICogRlJPTSBFUk1TX3NjaGVkdWxlX2hvbGRzIFdIRVJFIG9iamVjdF9pZCA9IGludDpvYmplY3RfaWQgQU5EIGFnZ3JlZ2F0aW9uID0gaW50OmFnZ3JlZ2F0aW9uIEFORCBwYXJlbnRfaWQgPSBpbnQ6cGFyZ" . "W50X2lk"), "agg" . "reg" . "ati" . "on" => base64_decode("YWdncmVnYXRpb24" . "="));
class ERMSDisposalHold extends ErrorHandler
{
    protected $object_id;
    protected $aggregation;
    protected $parent_id = 0;
    public function SetObjectById($object_id, $aggregation, $_6e38cb9e043a07cd69a1711a6704c62a)
    {
        $this->object_id = $object_id;
        $this->aggregation = $aggregation;
        $this->parent_id = $_6e38cb9e043a07cd69a1711a6704c62a;
        return true;
    }
    public function SetObject($_01ae63927cddbad58fea82ff8663c880)
    {
        if (!$_01ae63927cddbad58fea82ff8663c880) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_0c5123aa744f69bbc0e8b3ea2f6e8" . "47d"]($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_51b7f4bbc1d1bb4" . "8c391de491e07df2" . "7"]));
        }
        $this->object_id = $_01ae63927cddbad58fea82ff8663c880->GetID();
        $this->aggregation = $_01ae63927cddbad58fea82ff8663c880->GetAggregation();
        $this->parent_id = $_01ae63927cddbad58fea82ff8663c880->GetParentID();
        return true;
    }
    public function Save()
    {
        $db = Claromentis\Core\Services::I()->GetDb();
        $this->Remove();
        $db->query($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_d479b59dd0" . "22e4a944c0e" . "c1b9f5f9302"], $this->object_id, $this->aggregation, $this->parent_id);
    }
    public function Load()
    {
        $db = Claromentis\Core\Services::I()->GetDb();
        if (!$this->object_id || !$this->aggregation) {
            return false;
        }
        $_189840d11056515e52402d1412a0b6e4 = $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_5d9771e9f2d1880bedef6147f34374" . "84"], $this->object_id, $this->aggregation, $this->parent_id);
        if ($_b8cfc2e06d9d1fec1893ea4a054002bf = $_189840d11056515e52402d1412a0b6e4->fetchArray()) {
            $this->object_id = $_b8cfc2e06d9d1fec1893ea4a054002bf[$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["objec" . "t_id"]];
            $this->aggregation = $_b8cfc2e06d9d1fec1893ea4a054002bf[$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["aggregatio" . "n"]];
            $this->parent_id = $_b8cfc2e06d9d1fec1893ea4a054002bf[$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_6e38cb9e043a07cd69a1" . "711a6704c62a"]];
            return true;
        }
        return false;
    }
    
    
    
    
    public function Remove()
    {
        $db = Claromentis\Core\Services::I()->GetDb();
        $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_2c2ffe27" . "f18d2bac1" . "d27c5d98e" . "7dff6b"], $this->object_id, $this->aggregation, $this->parent_id);
    }
}